Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class BeanShellTestElement

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.BeanShellTestElement

All Implemented Interfaces:
  Cloneable, Serializable, TestElement, TestListener, ThreadListener

Direct Known Subclasses:
  BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTimer

public abstract class BeanShellTestElement
extends AbstractTestElement
implements Serializable, Cloneable, ThreadListener, TestListener

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BeanShellTestElement()`

Method Summary
`Object` | `clone()`
`protected BeanShellInterpreter` | `getBeanShellInterpreter()`
`String` | `getFilename()`
`protected abstract String` | `getInitFileProperty()`
`String` | `getParameters()`
`String` | `getScript()` Return the script (TestBean version).
`boolean` | `isResetInterpreter()`
`protected Object` | `processFileOrScript(BeanShellInterpreter bsh)`
`protected Object` | `readResolve()`
`void` | `setFilename(String s)`
`void` | `setParameters(String s)`
`void` | `setResetInterpreter(boolean b)`
`void` | `setScript(String s)` Set the script (TestBean version).
`void` | `testEnded()` Called once for all threads after the end of a test.
`void` | `testEnded(String host)` Called once for all threads after the end of a test.
`void` | `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` | `testStarted()` Called just before the start of the test from the main engine thread.
`void` | `testStarted(String host)` Called just before the start of the test from the main engine thread.
`void` | `threadFinished()` Called once for each thread at the end of a test
`void` | `threadStarted()` Called just before the start of the thread

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanShellTestElement

    public BeanShellTestElement()

Method Detail

### getInitFileProperty

    protected abstract String getInitFileProperty()

### getBeanShellInterpreter

    protected BeanShellInterpreter getBeanShellInterpreter()

### readResolve

    protected Object readResolve()

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestElement`
  Overrides:
    `clone` in class `AbstractTestElement`

### processFileOrScript

    protected Object processFileOrScript(BeanShellInterpreter bsh)
                                  throws JMeterException

  Throws:
    `JMeterException`

### getScript

    public String getScript()

  Return the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Returns:
    the script to execute

### setScript

    public void setScript(String s)

  Set the script (TestBean version). Must be overridden for subclasses that don't implement TestBean otherwise the clone() method won't work.

  Parameters:
    `s` - the script to execute (may be blank)

### threadStarted

    public void threadStarted()

  Description copied from interface: `ThreadListener`
  Called just before the start of the thread

  Specified by:
    `threadStarted` in interface `ThreadListener`
  See Also:
    `org.apache.jmeter.threads.JMeterThread#threadStarted()`

### threadFinished

    public void threadFinished()

  Description copied from interface: `ThreadListener`
  Called once for each thread at the end of a test

  Specified by:
    `threadFinished` in interface `ThreadListener`
  See Also:
    `org.apache.jmeter.threads.JMeterThread#threadFinished()`

### testEnded

    public void testEnded()

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testEnded

    public void testEnded(String host)

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Description copied from interface: `TestListener`
  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`
  Parameters:
    `event` -

### testStarted

    public void testStarted()

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testStarted

    public void testStarted(String host)

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### getParameters

    public String getParameters()

### setParameters

    public void setParameters(String s)

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String s)

### isResetInterpreter

    public boolean isResetInterpreter()

### setResetInterpreter

    public void setResetInterpreter(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.